Get all invoices

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

invoice_view
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
internal_number

Internal number to identify the invoice

string
company_id

Foreign key to company, identifies the company of the invoice

globally unique identifier
company_code

Company code of the invoice

string
company_name

Company name of the invoice

string
company_email

Company email of the invoice

string
company_phone

Company phone of the invoice

string
date_create

Invoice creation date in utc

date
memo

Memo field for invoice

string
description

Decription field for invoice

string
invoice_type

Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“

string
source_type

Source of invoice, refers to the type of the object from which invoice is derived

string
source_id_in_table

Key of the object from which the invoice is derived

globally unique identifier
total_lines

Total amount of lines linked to the invoice

integer
total_amount

Total value of items in lines linked to the invoice

decimal number
db_currency_id

Key of db_currency entity, identifies the db_currency of the invoice

globally unique identifier
total_taxes

Total taxes

decimal number
due_date

The due date

date
source_db_table_name

The name of db table

string
delivery_name

The delivery name

string
delivery_street

The street for delivery

string
delivery_city

The city for delivery

string
delivery_zip

The zip for delivery

string
delivery_db_country_name

The country name for delivery

string
reference_back_office

Reference data for back office

string
db_payment_method_id

Payment method id

globally unique identifier
id2

id for internal

integer
customer_remarks

Customer remarks

string
bill_to_party

The bill to party

string
bill_to_contact_id

Contact id for bill

globally unique identifier
contact_id

Contact id of invoice

globally unique identifier
article_price_label_id

Article price label id

globally unique identifier
db_language_id

The language id

globally unique identifier
invoice_status_id

The status id of invoice

globally unique identifier
invoice_status_name

The status name of invoice

string
discount_group_id

The id of discount group

globally unique identifier
discount

Discount value

decimal number
email

The email

string
invoice_number

Invoice number

string
bill_to_company_id

Company id for bill

globally unique identifier
dateutc_confirmation

The confirmation date (UTC)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
invoice_details

Details of invoice

Collection of invoice_details_view
db_payment_method_name

Payment method name of the invoice

string
db_payment_method_pm

Payment method pm of the invoice

string

Response Formats

application/json, text/json

Sample:
{
  "id": "aa91aa50-2a6e-480d-8b26-582ab6b46937",
  "internal_number": "sample string 2",
  "company_id": "1e7336f4-4de6-43ca-97c9-ca55afc79dbf",
  "company_code": "sample string 4",
  "company_name": "sample string 5",
  "company_email": "sample string 6",
  "company_phone": "sample string 7",
  "date_create": "2026-08-13T15:07:19.6312952+00:00",
  "memo": "sample string 9",
  "description": "sample string 10",
  "invoice_type": "sample string 11",
  "source_type": "sample string 12",
  "source_id_in_table": "19aecde6-a2e9-4352-af77-5df5c1b0caa4",
  "total_lines": 14,
  "total_amount": 15.0,
  "db_currency_id": "289a173d-5333-4f67-8822-ea13ef495b58",
  "total_taxes": 17.0,
  "due_date": "2026-08-13T15:07:19.6312952+00:00",
  "source_db_table_name": "sample string 19",
  "delivery_name": "sample string 20",
  "delivery_street": "sample string 21",
  "delivery_city": "sample string 22",
  "delivery_zip": "sample string 23",
  "delivery_db_country_name": "sample string 24",
  "reference_back_office": "sample string 25",
  "db_payment_method_id": "bd2bedc8-1c85-4f22-a711-937d54a972f2",
  "id2": 27,
  "customer_remarks": "sample string 28",
  "bill_to_party": "sample string 29",
  "bill_to_contact_id": "0da12a56-d12f-4edc-ae18-905857f50ad0",
  "contact_id": "ea20e61a-8033-4cb9-8c07-8dcf0525f3e7",
  "article_price_label_id": "e5a6fa8a-645e-4b89-892b-4923a4b1e97a",
  "db_language_id": "36543412-6a04-4388-b6bc-bf187ed52a9f",
  "invoice_status_id": "af0bbc68-2844-441b-9883-13827a5c9aab",
  "invoice_status_name": "sample string 35",
  "discount_group_id": "73aca146-ea1b-4120-a6fc-e10bca5b6bf1",
  "discount": 37.0,
  "email": "sample string 38",
  "invoice_number": "sample string 39",
  "bill_to_company_id": "6483e30a-de30-4ee9-92a5-d1cd8078d482",
  "dateutc_confirmation": "2026-08-13T15:07:19.6312952+00:00",
  "modified_dateutc": "2026-08-13T15:07:19.6312952+00:00",
  "invoice_details": [
    {
      "id": "b1e711e4-3e47-4ad8-ad06-597531453e40",
      "invoice_id": "2cc28901-d778-4d75-aa53-3d4a75968c80",
      "article_id": "cf0f0c5a-4616-4d46-aa2b-4c378430b0b9",
      "article_name": "sample string 4",
      "article_description": "sample string 5",
      "article_code": "sample string 6",
      "line_num": 7,
      "quantity_decimal": 9.0,
      "article_price": 10.0,
      "discount": 11.0,
      "vat_rate": 12.0,
      "vat_value": 13.0,
      "total_vat": 14.0,
      "total_line": 15.0,
      "total_line_with_vat": 16.0,
      "source_db_table_name": "sample string 17",
      "source_id_in_table": "b84b6a77-383d-4054-bb83-dec130cfce17",
      "serial_number": "sample string 19",
      "no_warranty_reason": "sample string 20",
      "is_under_warranty": true,
      "discount_percentage": 22.0,
      "cost_price": 23.0,
      "company_vat_id": "4717e445-66bb-49fc-b884-0bd49602cef0",
      "company_vat_code": "sample string 25",
      "modified_dateutc": "2026-08-13T15:07:19.6477627+00:00"
    },
    {
      "id": "b1e711e4-3e47-4ad8-ad06-597531453e40",
      "invoice_id": "2cc28901-d778-4d75-aa53-3d4a75968c80",
      "article_id": "cf0f0c5a-4616-4d46-aa2b-4c378430b0b9",
      "article_name": "sample string 4",
      "article_description": "sample string 5",
      "article_code": "sample string 6",
      "line_num": 7,
      "quantity_decimal": 9.0,
      "article_price": 10.0,
      "discount": 11.0,
      "vat_rate": 12.0,
      "vat_value": 13.0,
      "total_vat": 14.0,
      "total_line": 15.0,
      "total_line_with_vat": 16.0,
      "source_db_table_name": "sample string 17",
      "source_id_in_table": "b84b6a77-383d-4054-bb83-dec130cfce17",
      "serial_number": "sample string 19",
      "no_warranty_reason": "sample string 20",
      "is_under_warranty": true,
      "discount_percentage": 22.0,
      "cost_price": 23.0,
      "company_vat_id": "4717e445-66bb-49fc-b884-0bd49602cef0",
      "company_vat_code": "sample string 25",
      "modified_dateutc": "2026-08-13T15:07:19.6477627+00:00"
    }
  ],
  "db_payment_method_name": "sample string 43",
  "db_payment_method_pm": "sample string 44"
}